Bug 1590365 - Review Request: ghc-bdcs-api - BDCS API server
Summary: Review Request: ghc-bdcs-api - BDCS API server
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Cantrell
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-06-12 13:47 UTC by Chris Lumens
Modified: 2018-10-05 17:09 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-13 17:08:16 UTC
Type: ---
dcantrell: fedora-review+


Attachments (Terms of Use)

Description Chris Lumens 2018-06-12 13:47:19 UTC
Spec URL: https://clumens.fedorapeople.org/ghc-bdcs-api.spec
SRPM URL: https://clumens.fedorapeople.org/ghc-bdcs-api-0.1.2-1.fc26.src.rpm
Description: This module provides an API server and library component that works with the BDCS project.  It provides a web interface for clients to create, edit, and delete blueprints; to list the contents of the content store; to request composes from existing blueprints; and to fetch the results of composes
Fedora Account System Username: clumens

Comment 1 David Cantrell 2018-06-12 14:44:48 UTC
rpmlint checks:

$ rpmlint ghc-bdcs-api.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

Comment 2 David Cantrell 2018-06-12 14:52:35 UTC
rpmlint run on successfully built packages:

$ rpmlint ghc-bdcs-api-0.1.2-1.fc29.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint ghc-bdcs-api-0.1.2-1.fc29.x86_64.rpm 
ghc-bdcs-api.x86_64: W: no-documentation
ghc-bdcs-api.x86_64: W: no-manual-page-for-binary bdcs-api-server
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

$ rpmlint ghc-bdcs-api-devel-0.1.2-1.fc29.x86_64.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint ghc-bdcs-api-devel-doc-0.1.2-1.fc29.noarch.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

These were built from the supplied SRPM locally using "mock -r fedora-rawhide-x86_64 rebuild SRPM"

Comment 3 David Cantrell 2018-06-12 17:40:31 UTC
MUST items:

Package name: ok
Spec file name: ok
Package Guidelines:
 - Spec is readable
 - Arch support (>1 arch)
 - Meets FHS
 - Change log format is correct
 - Tags ok
 - Requires/deps ok
 - Build requires ok
 - Summary & Description ok
 - Docs ok
 - Devel pkg content ok
 - post/postun ok
License: ok
Spec file in American English: ok
Spec file legible: ok 
Spec file successfully compiles: ok
System lib check: ok 
Relocation: N/A
Owns all directories: ok
Lists files only once in %files: ok
Consistent use of macros: ok
Must contain code or permissible content: ok
%doc doesn't affect runtime: ok
Header files must be in -devel: N/A, it's Haskell
.so in devel: N/A, it's Haskell
Versioned dep for -devel: ok
Must not contain .la archives: ok
Must not own files/dirs owned by other packages: ok
All filenames must be UTF-8: ok

Comment 4 Gwyn Ciesla 2018-06-12 21:46:24 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/ghc-bdcs-api

Comment 5 Fedora Update System 2018-09-25 07:20:46 UTC
ghc-bdcs-api-0.1.3-1.fc28.1 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-2ae7e3ecdc

Comment 6 Fedora Update System 2018-09-27 04:47:18 UTC
ghc-bdcs-api-0.1.3-1.fc28.1 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-2ae7e3ecdc

Comment 7 Fedora Update System 2018-10-05 17:09:13 UTC
ghc-bdcs-api-0.1.3-1.fc28.1 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.